
// Copyright (C) Tom Horsley, 1997. All rights reserved.

#include "raise-priority.h"
#include "lasterr-exception.h"

RaisePriority::RaisePriority()
: process_handle(GetCurrentProcess()),
  orig_class(GetPriorityClass(process_handle))
{
   if (!SetPriorityClass(process_handle, (DWORD) REALTIME_PRIORITY_CLASS)) {
      throw new LastErrorException("SetPriorityClass");
   }
}

RaisePriority::~RaisePriority()
{
   SetPriorityClass(process_handle, orig_class);
}
