#ifndef simple_exception_h
#define simple_exception_h

// Copyright (C) Tom Horsley, 1997. All rights reserved.

#include "base-exception.h"
#include <string>

// A SimpleException simply holds a pointer to a string which is expected to
// hang around forever (typically a string literal).
//
class SimpleException : public BaseException {
public:

   SimpleException(const char * fmt, ...) throw();

   SimpleException(const SimpleException& rhs) throw();

   virtual
   ~SimpleException() throw();

   SimpleException&
   operator=(const SimpleException& rhs) throw();
};

#endif // simple_exception_h
