#ifndef wrap_winsock_h
#define wrap_winsock_h

// Copyright (C) Tom Horsley, 1997. All rights reserved.

#include <windows.h>

// class used to wrap winsock activity. It initializes the winsock service
// when constructed, and shuts it down when destructed.  It throws
// exceptions on failure.
//
class WrapWinsock {
public:

   WrapWinsock(int major_version = 1, int minor_version = 1);

   ~WrapWinsock();

private:

   bool should_call_shutdown;
};

#endif // wrap_winsock_h
